   proc RunSetup {} {
      variable ASIC
  
    set BAK $ASIC

    foreach ASIC {15 14 13 12} {
       set i 1
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x10
       set i 2
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x5c
       set i 3
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xf1
       set i 4
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xcf

       set i 15    ;#  energy threshold
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xf0
       set i 16
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xc0
       set i 17
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x60


       set i 64
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x00
       set i 80
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x00
    }

    foreach ASIC {11 10 9 8 7 6 5 4} {
       set i 1
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x10
       set i 2
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x0c
       set i 3
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xf1
       set i 4
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xcf

       set i 15    ;#  energy threshold
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xf0
       set i 16
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xc0
       set i 17
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x60

       set i 64
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x00
       set i 80
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x00
    }

    foreach ASIC {3 2 1 0} {
       set i 1
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x10
       set i 2
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x2c
       set i 3
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xf1
       set i 4
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xcf

       set i 15    ;#  energy threshold
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xf0
       set i 16
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0xc0
       set i 17
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x60


       set i 64
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x00
       set i 80
       WriteR3BASICRegister [expr ($ASIC << 10) + $i] 0x00
    }

    set ASIC $BAK

}

RunSetup

